<mat-tab-group mat-stretch-tabs dynamicHeight (selectedTabChange)="onCambiaTab($event)" (click)="onClickTabs($event)">
	<mat-tab cdkScrollable label="Documentación">
		<app-url [emitir]="false" method="get" [url]="url"></app-url>
		<markdown [src]="'assets/docs/datos_facturacion_get.md'"></markdown>
		<mat-divider></mat-divider>
		<app-url [emitir]="false" method="post | put | patch" [url]="url"></app-url>
		<markdown [src]="'assets/docs/datos_facturacion_post.md'"></markdown>
	</mat-tab>
	<mat-tab label="Consultar">
		<div class="Consultar">
			<app-entecuit></app-entecuit>
			<div class="row">
				<div class="col s12 center">
					<button trFocusNext="1" (keydown.enter)="onConsultar()" (click)="onConsultar()" mat-raised-button color="primary">Consultar</button>
				</div>
			</div>
			<app-respuesta name="traeDatos" (respuestaEmisor)="onRespuesta($event)"></app-respuesta>
		</div>
	</mat-tab>
	<mat-tab [disabled]="!hayBusqueda" label="Establecer">
		<div class="Consultar">
			<app-entecuit></app-entecuit>
			<div class="row">
				<div class="col m4 offset-m4 s8 offset-s2 center">
					<mat-form-field class="col s12">
						<input trFocusNext="2" matInput placeholder="Razon Social" [(ngModel)]="razSocial" name="razSocial">
					</mat-form-field>
					<mat-form-field class="col s12">
						<input trFocusNext="3" matInput placeholder="Nombre Fantasia" [(ngModel)]="nombreFantasia" name="nombreFantasia">
					</mat-form-field>
					<mat-form-field class="col s12">
						<input trFocusNext="4" matInput placeholder="Domicilio" [(ngModel)]="domicilio" name="domicilio">
					</mat-form-field>
					<mat-form-field class="col s12">
						<input trFocusNext="5" matInput placeholder="Localidad" [(ngModel)]="localidad" name="localidad">
					</mat-form-field>
					<mat-form-field class="col s12">
						<input trFocusNext="6" matInput placeholder="Provincia" [(ngModel)]="provincia" name="provincia">
					</mat-form-field>
					<mat-form-field class="col s12">
						<input trFocusNext="7" matInput placeholder="Código postal" [(ngModel)]="codPostal" name="codPostal">
					</mat-form-field>
					<mat-form-field class="col s12">
						<input trFocusNext="8" matInput placeholder="Telefono" [(ngModel)]="telefono" name="telefono">
					</mat-form-field>
					<tr-fecha trFocusNext="9" clase="col s12" placeholder="Inicio de Actividades" [(modelo)]="inicioActividad" name="inicioActividad"></tr-fecha>				
					<mat-form-field class="col s12">
						<input trFocusNext="10" matInput placeholder="Inscr. Ingresos Brutos" [(ngModel)]="ingresosBrutos" name="ingresosBrutos">
					</mat-form-field>
					<mat-form-field class="col s12">
						<input trFocusNext="11" matInput placeholder="Direccion de email" [(ngModel)]="email" name="email">
					</mat-form-field>
					<mat-form-field class="col s12">
						<mat-select trFocusNext="12" #fieldPuntoventa [(ngModel)]="ptoVenta" name="ptoVenta" placeholder="Punto de venta predeterminado">
							<mat-option>Elegir</mat-option>
							<mat-option *ngFor="let puntoventa of puntosventa" [value]="puntoventa">
								{{ puntoventa }}
							</mat-option>
						</mat-select>
					</mat-form-field>
				</div>
				<div class="col m3 offset-m1 s8 offset-s2 center">
					<input 
					style="display: none" 
					type="file" (change)="onCambiaLogo($event)" 
					#logoInput>
					<mat-card class="example-card">
						<mat-card-header>
							<mat-card-title>Logo</mat-card-title>
						</mat-card-header>
						<img mat-card-image [src]="logo ? logo : 'assets/imgs/sin-logo.png'">
						<mat-card-content *ngIf="!logo">
							La imagen del logo debe tener una relación de aspecto de 5:4. <i>Ej: 500px de ancho y 400px de alto</i>
						</mat-card-content>
						<mat-card-actions>
							<button mat-button (click)="quitarLogo()" *ngIf="logo">Quitar</button>
							<button mat-button (click)="logoInput.click()">{{ logo ? 'Cambiar' : 'Cargar'}}</button>
						</mat-card-actions>
					</mat-card>
				</div>
			</div>
			<div class="row">
				<div class="col s12 center">
					<button trFocusNext="13" (keydown.enter)="onSet()" (click)="onSet()" mat-raised-button [disabled]="!hayBusqueda" color="primary">Establecer</button>
				</div>
			</div>
			<app-respuesta name="EstableceDatos"></app-respuesta>
		</div>
	</mat-tab>
</mat-tab-group>
